import { makeRequest } from '@/libs/RequestModule'

const getQrcodePix = async function (totalValue, isInvoiceMode, idBoletos) {
    const response = (await makeRequest('getQrcodePix', { totalValue, isInvoiceMode, idBoletos }))?.data
    return response
}

const checkPixPayment = async function (NRTRANSACAO, nit, pixTimeout, totalValue, rechargeValues) {
    const response = (await makeRequest('checkPixPayment', { NRTRANSACAO, nit, pixTimeout, totalValue, rechargeValues }))?.data
    return response
}

const checkPixInvoicePayment = async function (idBoletos, nit, pixTimeout, totalValue) {
    const response = (await makeRequest('checkPixInvoicePayment', { idBoletos, nit, pixTimeout, totalValue }))?.data
    return response
}

const saveTempRecharge = async function (rechargeValues, NRTRANSACAO, nit) {
    const response = (await makeRequest('saveTempRecharge', { rechargeValues, NRTRANSACAO, nit }))?.data
    return response
}

const checkOpenedPayment = async function () {
    const response = (await makeRequest('checkOpenedPayment'))?.data
    return response
}

export { getQrcodePix, checkPixPayment, checkPixInvoicePayment, saveTempRecharge, checkOpenedPayment }
